/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.html.element_test']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.html.element_test'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

	epages.html.element $Revision: 1.3 $

*/
dojo.provide('epages.html.element_test');
dojo.require('epages.html.element');

dojo.extend(epages.html.Element, {

	test: function(/*epages.Test*/eTest) {
		// summary:
		//		test this package
		// example:
		// 	 | var el = new epages.lang.Element();
		//	 | boolean = el.test(eTest);
		//	 | // returns true if all test are successfully
		eTest.setPlanned(5);
		eTest.ok(1, 'loaded');

    this.addClassName('red');
		eTest.ok(this.object.className == 'red', 'addClassName');

    this.removeClassName('red');
		eTest.ok(this.object.className == '', 'removeClassName');

    this.addClassName('red');
    this.changeClassName('red', 'darkred');
		eTest.ok(this.object.className == 'darkred', 'changeClassName');

    this.addClassName('blue');
    this.changeClassName('red', 'darkred');
		eTest.ok(this.object.className == 'darkred blue', 'changeClassName');

		return eTest.planned == eTest.correct ? true : false;
	}
});

}
