/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.cartridges.de_epages.design.widget.Toolspaces"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.cartridges.de_epages.design.widget.Toolspaces"] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

	epages.cartridges.de_epages.design.widget.Toolspaces $Revision: 1.20 $

*/
dojo.provide("epages.cartridges.de_epages.design.widget.Toolspaces");
dojo.require("epages.widget.LocalizedWidget");
dojo.require("epages.widget.Validateinput");
dojo.require("dijit._Container");

dojo.declare(
	"epages.cartridges.de_epages.design.widget.Toolspaces",
	[epages.widget.LocalizedWidget],
	{
		/**
		 * public properties
		 */
		label           : '',
		top             : '',
		bottom          : '',
		left            : '',
		right           : '',
		spaceType       : '', /* Margin, Padding */
		objectId        : '',
		lockLevel       : '', /* locklevel > 0 => attribute locked */
		/**
		 * widget properties
		 */

		templateString:"<tr class=\"ToolSpaces\">\n  <td class=\"InputLabelling\">${label}</td>\n  <td class=\"SpaceInput\">\n    <input dojoType=\"epages.widget.Validateinput\"\n           validationType=\"Size\"\n           settings=\"negativeAllowed: true, autoAllowed: true\"\n           dojoAttachPoint=\"topInputWidget\"\n           id=\"${spaceType}Top\"\n           name=\"${objectId}:${spaceType}Top\"\n           value=\"${top}\"\n           type=\"text\"\n           />\n  </td>\n  <td class=\"SpaceInput\">\n    <input dojoType=\"epages.widget.Validateinput\"\n           validationType=\"Size\"\n           settings=\"negativeAllowed: true, autoAllowed: true\"\n           dojoAttachPoint=\"bottomInputWidget\"\n           id=\"${spaceType}Bottom\"\n           name=\"${objectId}:${spaceType}Bottom\"\n           value=\"${bottom}\"\n           type=\"text\"\n           />\n  </td>\n  <td class=\"SpaceInput\">\n    <input dojoType=\"epages.widget.Validateinput\"\n           validationType=\"Size\"\n           settings=\"negativeAllowed: true, autoAllowed: true\"\n           dojoAttachPoint=\"leftInputWidget\"\n           id=\"${spaceType}Left\"\n           name=\"${objectId}:${spaceType}Left\"\n           value=\"${left}\"\n           type=\"text\"\n           />\n  </td>\n  <td class=\"SpaceInput\">\n    <input dojoType=\"epages.widget.Validateinput\"\n           validationType=\"Size\"\n           settings=\"negativeAllowed: true, autoAllowed: true\"\n           dojoAttachPoint=\"rightInputWidget\"\n           id=\"${spaceType}Right\"\n           name=\"${objectId}:${spaceType}Right\"\n           value=\"${right}\"\n           type=\"text\"\n           />\n  </td>\n  <td>\n      <img src=\"${imagePath}/ico_s_bubblehelp.png\" alt=\"\" class=\"BubbleHelp\"\n         dojoattachPoint=\"bubbleHelpPaddingNode\"\n         style=\"display: none\"/>\n       <span class=\"Tooltip ep-js\"  data-js=\".uiTooltip({})\">\n        <div class=\"InfoPaddings\">\n          <div class=\"ExplainPaddings\">{ExplainPaddings}</div>\n            <div class=\"InfoPaddingsAdjustPosition\">\n              <div class=\"InfoPaddingsImageContainer\">\n                <img src=\"${imagePath}/infolayer_img_paddings.png\"\n                     alt=\"{ExplainPaddings}\"\n                     class=\"InfoPaddingsImage\" />\n                <div class=\"InfoPaddingsLabelTop\"   >{TopPadding}</div>\n                <div class=\"InfoPaddingsLabelLeft\"  >{LeftPadding}</div>\n                <div class=\"InfoPaddingsLabelBottom\">{BottomPadding}</div>\n                <div class=\"InfoPaddingsLabelRight\" >{RightPadding}</div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </span>\n\n      <img src=\"${imagePath}/ico_s_bubblehelp.png\" alt=\"\" class=\"BubbleHelp\"\n         dojoattachPoint=\"bubbleHelpMarginNode\"\n         style=\"display: none;\"/>\n       <span class=\"Tooltip Wide ep-js\"  data-js=\".uiTooltip({})\">\n        <div class=\"InfoMargins\" >\n          <div class=\"ExplainMargins\">{ExplainMargins}</div>\n          <div class=\"InfoMarginsImageContainer\">\n            <img src=\"${imagePath}/infolayer_img_margins.png\"\n                 alt=\"{ExplainMargins}\"\n                 class=\"InfoMarginImage\" />\n            <div class=\"InfoText InfoMarginsLabelTop\"   >{TopMargin}</div>\n            <div class=\"InfoText InfoMarginsLabelLeft\"  >{LeftMargin}</div>\n            <div class=\"InfoText InfoMarginsLabelBottom\">{BottomMargin}</div>\n            <div class=\"InfoText InfoMarginsLabelRight\" >{RightMargin}</div>\n          </div>\n        </div>\n      </tt>\n  </td>\n\n</tr>\n\n",
		translationName   : dojo.moduleUrl('epages.cartridges.de_epages.design.widget' , 'templates/translation'),
		imagePath         : epages.themeUrl('images'),
		widgetsInTemplate : true,

		// override
		postCreate  : function() {
                // summary: initalize widget
		// description: show lock icon and disable input fields if locklevel is passed
			if(this.spaceType.match("Margin")){
				this.bubbleHelpMarginNode.style.display="";
			}else if(this.spaceType.match("Padding")){
				this.bubbleHelpPaddingNode.style.display="";
			}
			this.inherited("postCreate", arguments);
			if(this.lockLevel == '1' || this.lockLevel == '2') {
					this.topInputWidget.domNode.disabled=true;
					this.bottomInputWidget.domNode.disabled=true;
					this.leftInputWidget.domNode.disabled=true;
					this.rightInputWidget.domNode.disabled=true;
					this.domNode.className+=" disabled";
			}
		}
});

}
